apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.38.0 (a8f5d1cbd)
  labels:
    io.kompose.service: unpackerr
  name: unpackerr
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: unpackerr
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert
        kompose.version: 1.38.0 (a8f5d1cbd)
      labels:
        io.kompose.service: unpackerr
    spec:
      containers:
        - envFrom:
            - configMapRef:
                name: env-arr-env
          image: golift/unpackerr:latest
          name: unpackerr
          volumeMounts:
            - mountPath: /config
              name: unpackerr
            - mountPath: /data
              name: media
            - mountPath: /downloads
              name: downloads
      restartPolicy: Always
      volumes:
        - name: unpackerr
          persistentVolumeClaim:
            claimName: unpackerr
        - name: media
          persistentVolumeClaim:
            claimName: media
        - name: downloads
          persistentVolumeClaim:
            claimName: downloads
